<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Task 49.10</title>

</head>
<script>
    "use strict";
    $(document).ready(function () {
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        var gAllOrder;
        var gID;
        var gOrderCode
        const gORDER = ["orderCode", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "action"];
        const gCOLUMN_ORDER_CODE = 0;
        const gCOLUMN_KICH_CO = 1;
        const gCOLUMN_LOAI_PIZZA = 2;
        const gCOLUMN_ID_LOAI_NUOC_DUNG = 3;
        const gCOLUMN_THANH_TIEN = 4;
        const gCOLUMN_HO_TEN = 5;
        const gCOLUMN_SO_DIEN_THOAI = 6;
        const gCOLUMN_TRANG_THAI = 7;
        const gCOLUMN_ACTION = 8;
        //định nghĩa table - chưa có data
        var gDataTable = $("#order-table").DataTable({
            "columns": [
                { "data": gORDER[gCOLUMN_ORDER_CODE] },
                { "data": gORDER[gCOLUMN_KICH_CO] },
                { "data": gORDER[gCOLUMN_LOAI_PIZZA] },
                { "data": gORDER[gCOLUMN_ID_LOAI_NUOC_DUNG] },
                { "data": gORDER[gCOLUMN_THANH_TIEN] },
                { "data": gORDER[gCOLUMN_HO_TEN] },
                { "data": gORDER[gCOLUMN_SO_DIEN_THOAI] },
                { "data": gORDER[gCOLUMN_TRANG_THAI] },
                { "data": gORDER[gCOLUMN_ACTION] }
            ],

            "columnDefs": [
                {
                    "targets": gCOLUMN_ACTION,
                    "defaultContent": `<div class= "btn-group">
                        <button class='btn-edit btn btn-success'> <i class="far fa-edit"></i>Sửa</button>
                    <button class='btn-delete btn btn-danger'><i class="far fa-trash-alt"></i>Xóa</button>
                    <div/>`
                }
            ]
        });
        /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
        onPageLoading()
        //gán sự kiện cho nút Create New Order
        $("#btn-add-new-order").on("click", onBtnNewOrderClick);

        $('#select-pizzasize-create').on("change", function () {
            const vSize = $(this).val();
            if (vSize === 'S') {
                $('#inp-duongkinh-create').prop({ value: 20, "disabled": "disabled" });
                $('#inp-suon-create').prop({ value: 2, "disabled": "disabled" });
                $('#inp-salad-create').prop({ value: 200, "disabled": "disabled" });
                $('#inp-soluongnuoc-create').prop({ value: 2, "disabled": "disabled" });
                $('#inp-price-create').prop({ value: 150000, "disabled": "disabled" });
            } else if (vSize === 'M') {
                $('#inp-duongkinh-create').prop({ value: 25, "disabled": "disabled" });
                $('#inp-suon-create').prop({ value: 4, "disabled": "disabled" });
                $('#inp-salad-create').prop({ value: 300, "disabled": "disabled" });
                $('#inp-soluongnuoc-create').prop({ value: 3, "disabled": "disabled" });
                $('#inp-price-create').prop({ value: 200000, "disabled": "disabled" });
            } else if (vSize === 'L') {
                $('#inp-duongkinh-create').prop({ value: 30, "disabled": "disabled" });
                $('#inp-suon-create').prop({ value: 8, "disabled": "disabled" });
                $('#inp-salad-create').prop({ value: 500, "disabled": "disabled" });
                $('#inp-soluongnuoc-create').prop({ value: 4, "disabled": "disabled" });
                $('#inp-price-create').prop({ value: 250000, "disabled": "disabled" });
            } else if (vSize === '0') {
                $('#inp-duongkinh-create').prop({ value: "", "disabled": "disabled" });
                $('#inp-suon-create').prop({ value: "", "disabled": "disabled" });
                $('#inp-salad-create').prop({ value: "", "disabled": "disabled" });
                $('#inp-soluongnuoc-create').prop({ value: "", "disabled": "disabled" });
                $('#inp-price-create').prop({ value: "", "disabled": "disabled" });
            }
        });

        // gán sự kiện cho nut Create Order trên modal
        $("#btn-create").on("click", function () {
            onBtnCreateOrderClick();
        })
        // gán sự kiện cho nút SỬA
        $("#order-table").on("click", ".btn-edit", function () {
            onBtnEditClick(this);
        })
        // gán sự kiện cho nút Update Order trên modal
        $("#btn-update").on("click", function () {
            onBtnUpdateOrderClick()
        })
        // gán sự kiện cho nút XÓA
        $("#order-table").on("click", ".btn-delete", function () {
            onBtnDeleteClick(this);
        })
        // gán sự kiện cho nút xác nhận XÓA trên modal
        $("#btn-delete-order").on("click", function () {
            onBtnDeleteOrderClick()
        })
        // gán sự kiện cho nút LỌC ORDER
        $("#btn-filter").on("click", function () {
            onBtnFilterClick()
        })
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading() {
            getAllOrder()

            getDrinkList()
        }
        // Xử lý sụ kiện thêm mới Order
        function onBtnNewOrderClick() {
            $("#create-order-modal").modal("show")
        }
        // Xử lý sụ kiện UPDATE Order
        function onBtnEditClick(paramUpdate) {
            var vDataRow = getDataRow(paramUpdate)
            console.log(vDataRow)
            getDataByOrderCode(vDataRow.orderCode)

        }
        // Xử lý sụ kiện XÓA Order
        function onBtnDeleteClick(paramDelete) {
            var vDataRow = getDataRow(paramDelete)
            console.log(vDataRow)
            $("#delete-order-modal").modal("show")
            $("#id-delete").html(vDataRow.orderCode)

        }
        // hàm nút create trên modal
        function onBtnCreateOrderClick() {
            //tạo obj chứa data order
            var vOrderObj = {
                kichCo: "",
                duongKinh: 0,
                suon: 0,
                salad: 0,
                soLuongNuoc: 0,
                loaiPizza: "",
                idVourcher: "",
                idLoaiNuocUong: "",
                hoTen: "",
                email: "",
                soDienThoai: "",
                diaChi: "",
                loiNhan: "",
                thanhTien: "",
            };
            getCreateOrderData(vOrderObj)
            var isCheck = validateData(vOrderObj)
            if (isCheck) {
                $.ajax({
                    url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
                    type: "POST",
                    contentType: "application/json;charset=UTF-8",
                    data: JSON.stringify(vOrderObj),
                    success: function (paramRes) {
                        console.log(paramRes);
                        //b4: xử lý front-end        
                        handleCreateOrderSuccess();
                    },
                    error: function (paramErr) {
                        console.log(paramErr.status);
                    }
                });
            }

        }
        function onBtnUpdateOrderClick() {
            var vUpdate = {
                trangThai: ""
            }
            vUpdate.trangThai = $("#select-status-update").val()
            // call API Update Order
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders/" + gID,
                type: "PUT",
                contentType: "application/json;charset=UTF-8",
                data: JSON.stringify(vUpdate),
                success: function (paramRes) {
                    //b4: xử lý front-end
                    handleUpdateDataSuccess();
                },
                error: function (paramErr) {
                    console.log(paramErr.status);
                }
            });
        }
        // hàm xử lý sự kiện delete data modal click
        function onBtnDeleteOrderClick() {
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders/" + gID,
                type: "DELETE",
                contentType: "application/json;charset=UTF-8",
                success: function (paramRes) {
                    // B4: xử lý front-end
                    handleDeleteOrderSuccess();
                },
                error: function (paramErr) {
                    console.log(paramErr.status);
                }
            });
        }
        // hàm xử lý sự kiện lọc
        function onBtnFilterClick() {
            var vFilter = {
                pizzaType: "",
                status: ''
            }
            getDataFilter(vFilter)
            // lọc dữ liệu
            var vResultFilter = gAllOrder.filter((item) => {
                return (item.loaiPizza.toLowerCase() == vFilter.pizzaType.toLowerCase() || vFilter.pizzaType === "0") &&
                    (item.trangThai.toLowerCase() == vFilter.status.toLowerCase() || vFilter.status === "0")
            })
            // load lại bảng
            loadDataToTable(vResultFilter)

        }

        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
        //hàm thu thập create data
        function getCreateOrderData(paramOrder) {
            paramOrder.kichCo = $("#select-pizzasize-create").val();
            paramOrder.duongKinh = $("#inp-duongkinh-create").val();
            paramOrder.suon = $("#inp-suon-create").val();
            paramOrder.salad = $("#inp-salad-create").val();
            paramOrder.soLuongNuoc = $("#inp-soluongnuoc-create").val();
            paramOrder.loaiPizza = $("#select-pizza-type-create").val();
            paramOrder.idVourcher = $("#inp-idvoucher-create").val().trim();
            paramOrder.idLoaiNuocUong = $("#select-drink-create").val();
            paramOrder.hoTen = $("#inp-hoten-create").val().trim();
            paramOrder.email = $("#inp-email-create").val().trim();
            paramOrder.soDienThoai = $("#inp-phone-create").val().trim();
            paramOrder.diaChi = $("#inp-address-create").val().trim();
            paramOrder.loiNhan = $("#inp-message-create").val().trim();

            var vPrice = $("#inp-price-create").val();
            var vPhanTramGiamGia = checkVoucher(paramOrder.idVourcher)
            var vPercent = vPrice * (1 - vPhanTramGiamGia / 100);
            paramOrder.thanhTien = vPercent

        }
        // hàm validate Data Create Order
        function validateData(paramOrder) {
            if (paramOrder.kichCo === "0") {
                alert("Hãy chọn kích cỡ Pizza");
                return false;
            }
            if (paramOrder.loaiPizza === "0") {
                alert("Hãy chọn loại Pizza");
                return false;
            }
            if (!isFinite(paramOrder.idVourcher)) {
                alert("ID Voucher phải là số");
                return false;
            }
            if (paramOrder.idLoaiNuocUong === "0") {
                alert("Hãy chọn đồ uống");
                return false;
            }
            if (paramOrder.hoTen === "") {
                alert("Nhập họ và tên");
                return false;
            }
            var eMailFotmat = /^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/
            if (!eMailFotmat.test(paramOrder.email)) {
                alert("Email không đúng định dạng");
                return false;
            }
            if (paramOrder.soDienThoai === "") {
                alert("Hãy nhập Số điện thoại");
                return false;
            }
            if (paramOrder.diaChi === "") {
                alert("Hãy nhập Địa chỉ");
                return false;
            }

            return true;
        }
        // thu thập dữ liệu Filter
        function getDataFilter(paramFilter) {
            paramFilter.pizzaType = $("#select-type-pizza").val();
            paramFilter.status = $("#select-status").val();
        }

        // hàm lấy thông tin all order
        function getAllOrder() {
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
                type: "GET",
                success: function (paramOrder) {
                    gAllOrder = paramOrder
                    loadDataToTable(paramOrder);
                },
                error: function (error) {
                    console.assert(error.responseText);
                }
            });
        }
        //hàm gọi API select drink
        function getDrinkList() {
            "use strict";
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
                dataType: "json",
                type: "GET",
                success: function (paramRes) {
                    handleDrinkList(paramRes);
                },
                error: function (paramErr) {
                    console.log(paramErr.status);
                },
            });
        }
        // call API lấy chi  tiết 1 order by ordercode
        function getDataByOrderCode(paramOrderCode) {
            $.ajax({
                url: "http://203.171.20.210:8080/devcamp-pizza365/orders/" + paramOrderCode,
                type: "GET",
                success: function (paramOrderCode) {
                    showDataToUpdateModal(paramOrderCode);
                },
                error: function (paramErr) {
                    console.log(paramErr.status);
                }
            });

        }

        // hàm lấy data từ table
        function getDataRow(paramButton) {
            var vRow = $(paramButton).closest("tr")
            var dataRow = gDataTable.row(vRow).data()
            gOrderCode = dataRow.orderCode
            gID = dataRow.id
            return dataRow
        }

        //hàm tạo option cho select drink
        function handleDrinkList(paramDrink) {
            "use strict";
            $.each(paramDrink, function (i, item) {
                $("#select-drink-create").append($("<option>", {
                    text: item.tenNuocUong,
                    value: item.maNuocUong,
                })
                );
            })
            $.each(paramDrink, function (i, item) {
                $("#select-drink-update").append($("<option>", {
                    text: item.tenNuocUong,
                    value: item.maNuocUong,
                })
                );
            })
        }
        // hàm xử lý sự kiện Front-end khi create thành công
        function handleCreateOrderSuccess() {
            alert("Thêm thành công");
            $("#create-order-modal").modal("hide");
            resetCreateOrderForm();
            getAllOrder();
        }
        // hàm xử lý sự kiện Front-end khi Update thành công
        function handleUpdateDataSuccess() {
            alert("Update thành công");
            $("#update-order-modal").modal("hide");

            getAllOrder();
        }
        // hàm xử lý sự kiện Front-end khi Xóa thành công
        function handleDeleteOrderSuccess() {
            alert("Xóa thành công");
            $("#delete-order-modal").modal("hide");
            getAllOrder();
        }
        // hàm reset modal Create order
        function resetCreateOrderForm() {
            $("#select-pizzasize-create").val("0");
            $("#inp-duongkinh-create").val("");
            $("#inp-suon-create").val("");
            $("#inp-salad-create").val("");
            $("#inp-soluongnuoc-create").val("");
            $("#inp-price-create").val("");
            $("#select-pizza-type-create").val("0");
            $("#inp-idvoucher-create").val("");
            $("#select-drink-create").val("0");
            $("#inp-hoten-create").val("");
            $("#inp-email-create").val("");
            $("#inp-phone-create").val("");
            $("#inp-address-create").val("");
            $("#inp-message-create").val("");

        }
        // hàm showData Modal update
        function showDataToUpdateModal(paramUpdateOrder) {
            $("#select-pizzasize-update").val(paramUpdateOrder.kichCo);
            $("#inp-duongkinh-update").val(paramUpdateOrder.duongKinh);
            $("#inp-suon-update").val(paramUpdateOrder.suon);
            $("#inp-salad-update").val(paramUpdateOrder.salad);
            $("#inp-soluongnuoc-update").val(paramUpdateOrder.soLuongNuoc);
            $("#inp-price-update").val(paramUpdateOrder.thanhTien);
            $("#select-pizza-type-update").val(paramUpdateOrder.loaiPizza);
            $("#select-drink-update").val(paramUpdateOrder.idLoaiNuocUong);
            $("#inp-hoten-update").val(paramUpdateOrder.hoTen);
            $("#inp-email-update").val(paramUpdateOrder.email);
            $("#inp-phone-update").val(paramUpdateOrder.soDienThoai);
            $("#inp-address-update").val(paramUpdateOrder.diaChi);
            $("#inp-idvourcher-update").val(paramUpdateOrder.idVourcher);
            $("#inp-message-update").val(paramUpdateOrder.loiNhan);
            $("#select-status-update").val(paramUpdateOrder.trangThai)

            // hiển thị modal lên
            $("#update-order-modal").modal("show");
        }
        // hàm call API check Voucher 
        function checkVoucher(paramVoucher) {
            "use strict";
            var vVoucher = 0
            if (paramVoucher != "") {
                $.ajax({
                    url: "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + paramVoucher,
                    type: "GET",
                    async: false,
                    success: function (paramRes) {
                        vVoucher = paramRes.phanTramGiamGia;
                    },
                    error: function () {
                        vVoucher = 0;
                    }
                });
            }
            return vVoucher
        }
        // hàm load bảng
        function loadDataToTable(paramOrder) {
            gDataTable.clear()
            gDataTable.rows.add(paramOrder)
            gDataTable.draw()
        }
    })
</script>

<body>
    <!-- vùng header -->
    <div class="container-fluid">
        <div class="text-center mt-2">
            <h2>Quản lý đơn hàng</h2>
        </div>
    </div>
    <!-- Filter -->
    <div class="container jumbotron">
        <div class="row">
            <!-- Loai Pizza -->
            <label class="col-sm-2 col-form-label" for="">Loại Pizza</label>
            <select class="form-control col-sm-3" id="select-type-pizza">
                <option value="0">All</option>
                <option value="seafood">Hải Sản</option>
                <option value="hawaii">Hawaii</option>
                <option value="bacon">Thịt hun khói</option>
            </select>
            <!-- Status -->
            <label class="col-sm-2 col-form-label" for="">Status</label>
            <select class="form-control col-sm-3" id="select-status">
                <option value="0">All</option>
                <option value="open">Open</option>
                <option value="confirmed">Confirmed</option>
                <option value="cancel">Cancel</option>

            </select>

            <div class="col-sm-2">
                <button class="btn btn-info w-100" id="btn-filter"><i class="fas fa-filter"></i>&nbsp; Lọc</button>
            </div>
        </div>
    </div>
    <!-- user data table -->
    <div class="container-fluid">
        <div class="form-group">
            <button class="btn btn-success" id="btn-add-new-order"><i class="fa fa-plus"></i>&nbsp; New Order</button>
        </div>
        <table id="order-table" class="table table-bordered table-striped table-hover">
            <thead class="thead-dark">
                <tr>
                    <th>Order Code</th>
                    <th>Kích cỡ</th>
                    <th>Loại Pizza</th>
                    <th>Nước uống</th>
                    <th>Thành tiền</th>
                    <th>Họ và tên</th>
                    <th>Số điện thoại</th>
                    <th>Trạng thái</th>
                    <th>Action</th>
                </tr>
            </thead>
        </table>
    </div>
    <!-- Modal Create Order -->
    <div id="create-order-modal" class="modal fade text-center" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">New Order</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- Modal body -->
                <div class="modal-body">
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Kích Cỡ</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-pizzasize-create" class="form-control">
                                <option value="0">Kích cỡ</option>
                                <option value="S">S</option>
                                <option value="M">M</option>
                                <option value="L">L</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Đường kính</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-duongkinh-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Sườn</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-suon-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Salad</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-salad-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Số lượng nước</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-soluongnuoc-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Đơn giá</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-price-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Pizza Type</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-pizza-type-create" class="form-control">
                                <option value="0">Chọn loại Pizza</option>
                                <option value="Seafood">Hải sản</option>
                                <option value="Hawaii">Hawaii</option>
                                <option value="Bacon">Thịt hun khói</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">ID Voucher</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-idvoucher-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Loại đồ uống</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-drink-create" class="form-control">
                                <option value="0">Loại đồ uống</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Họ và tên</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-hoten-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Email</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-email-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Số điện thoại</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-phone-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Địa chỉ</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-address-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Lời nhắn</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-message-create" class="form-control" type="text">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Trạng thái</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-status-create" disabled>
                                <option value="open">Open</option>
                                <option value="confirmed">Confirmed</option>
                                <option value="cancel">Cancel</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">

                    <button id="btn-create" class="btn btn-warning">Create Order</button>


                    <button data-dismiss="modal" class="btn btn-danger">Cancel</button>

                </div>
            </div>
        </div>
    </div>
    <!-- Modal update order -->
    <div id="update-order-modal" class="modal fade text-left" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Update Order</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Kích Cỡ</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-pizzasize-update" class="form-control" disabled>
                                <option value="0">Kích cỡ</option>
                                <option value="S">S</option>
                                <option value="M">M</option>
                                <option value="L">L</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Đường kính</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-duongkinh-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Sườn</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-suon-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Salad</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-salad-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Số lượng nước</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-soluongnuoc-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Đơn giá</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-price-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Pizza Type</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-pizza-type-update" class="form-control" disabled>
                                <option value="0">Chọn loại Pizza</option>
                                <option value="Seafood">Hải sản</option>
                                <option value="Hawaii">Hawaii</option>
                                <option value="Bacon">Thịt hun khói</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">ID Voucher</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-idvoucher-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Loại đồ uống</label>
                        </div>
                        <div class="col-sm-8">
                            <select id="select-drink-update" class="form-control" disabled>
                                <option value="0">Loại đồ uống</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Họ và tên</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-hoten-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Email</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-email-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Số điện thoại</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-phone-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Địa chỉ</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-address-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Lời nhắn</label>
                        </div>
                        <div class="col-sm-8">
                            <input id="inp-message-update" class="form-control" type="text" disabled>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-4">
                            <label for="">Trạng thái</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-status-update">
                                <option value="open">Open</option>
                                <option value="confirmed">Confirmed</option>
                                <option value="cancel">Cancel</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">

                    <button id="btn-update" class="btn btn-warning">Update Order</button>
                    <button data-dismiss="modal" class="btn btn-danger">Cancel</button>

                </div>
            </div>
        </div>
    </div>
    <!-- Modal delete order -->
    <div>
        <div class="modal fade" tabindex="-1" id="delete-order-modal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Xác nhận xóa order</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Bạn có chắc muốn xóa đơn hàng <b id="id-delete"></b> này không?</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-delete-order">Xác nhận</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Hủy</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>

</html>